Loading...
Searching...
No Matches
bicgstabsolver.hh File Reference

Implements a preconditioned stabilized BiCG linear solver. More...

`#include "convergencecriterion.hh"`
`#include "residreductioncriterion.hh"`
`#include "linearsolverreport.hh"`
`#include <opm/models/utils/timer.hpp>`
`#include <opm/models/utils/timerguard.hh>`
`#include <opm/common/Exceptions.hpp>`
`#include <memory>`

Go to the source code of this file.

## Classes

class | Opm::Linear::BiCGStabSolver< LinearOperator, Vector, Preconditioner >
| Implements a preconditioned stabilized BiCG linear solver. More...

## Namespaces

namespace | Opm
| This file contains a set of helper functions used by VFPProd / VFPInj.

## Detailed Description

Implements a preconditioned stabilized BiCG linear solver.

This solves a linear system of equations Ax = b, where the matrix A is sparse and may be unsymmetric.

See https://en.wikipedia.org/wiki/Biconjugate_gradient_stabilized_method, (article date: December 19, 2016)